Page MenuHomePhabricator

Manage ValueFormatters based on central DataType registry
Closed, ResolvedPublic

Event Timeline

daniel created this task.Aug 25 2015, 5:27 PM
daniel raised the priority of this task from to Normal.
daniel updated the task description. (Show Details)

Change 229454 had a related patch set uploaded (by Daniel Kinzler):
Re-do value formatter factories, use $wgWikibaseDataTypes.

https://gerrit.wikimedia.org/r/229454

daniel moved this task from incoming to ready to go on the Wikidata board.Aug 26 2015, 12:08 PM
daniel moved this task from ready to go to consider for next sprint on the Wikidata board.
daniel claimed this task.Sep 2 2015, 12:55 PM

Change 236014 had a related patch set uploaded (by Daniel Kinzler):
Refactroring of formatter factorie.

https://gerrit.wikimedia.org/r/236014

Change 236014 merged by jenkins-bot:
Refactoring of ValueFormatter factory.

https://gerrit.wikimedia.org/r/236014

Change 229454 merged by jenkins-bot:
Register ValueFormatters via DataTypeDefinitions

https://gerrit.wikimedia.org/r/229454

daniel closed this task as Resolved.Sep 7 2015, 10:57 PM
daniel moved this task from Review to Done on the Wikidata-Sprint-2015-09-01 board.